@echo off

echo Aggregate CSV file and generate pivot table report
echo ^<html^>^<head^>^<style^>body { font-family:Arial; font-size:10px;} table {border-collapse:collapse;} table td, table th {border:1px solid silver;} table td{ text-align:right;}^</style^>^</head^>^<body^> > _TechCrunshReport.html

..\pivotdata.exe -i csv "testdata\TechCrunchcontinentalUSA.csv" "{Delimiter:','}" -m "{'fundedDate':{Type:'datetime'},'raisedAmt':{Type:'double'}}" -m "{'funded_year':{Type:'getyear',Params:['fundedDate']},'funded_quarter':{Type:'getquarter',Params:['fundedDate']}}" -p "{Dimensions:['funded_year','funded_quarter','round','company'],Aggregators:[{Name:'Sum',Params:['raisedAmt']}]}" -t "{Columns:['round'],Rows:['funded_year','funded_quarter']}" -o pivottablehtml -  >> _TechCrunshReport.html

echo ^</body^>^</html^> >> _TechCrunshReport.html
start _TechCrunshReport.html